{
  "lexicon": 1,
  "id": "space.polymodel.graph.save",
  "defs": {
    "main": {
      "type": "record",
      "description": "Bookmark/save with optional private note.",
      "key": "tid",
      "record": {
        "type": "object",
        "required": [
          "subject",
          "createdAt"
        ],
        "properties": {
          "createdAt": {
            "type": "string",
            "format": "datetime"
          },
          "note": {
            "type": "string",
            "maxLength": 2000
          },
          "subject": {
            "type": "ref",
            "ref": "com.atproto.repo.strongRef"
          }
        }
      }
    }
  }
}